Summary:        A configuration system
Name:           dconf
Version:        0.40.0
Release:        4%{?dist}
License:        LGPLv2+ and GPLv2+ and GPLv3+
URL:            https://wiki.gnome.org/Projects/dconf
Source0:        https://download.gnome.org/sources/dconf/0.40/dconf-%{version}.tar.xz
Patch1:         dconf-override.patch

BuildRequires:  meson gcc
BuildRequires:  bash-completion vala gtk-doc
BuildRequires:  dbus-devel glib2-devel >= 2.44.0
BuildRequires:  pkgconfig(systemd) systemd-rpm-macros
Requires:       dbus glib2 >= 2.44.0

%description
dconf is a low-level configuration system taht provides a backend to the GSettings API 
in GLib.

%package devel
Summary: Header files and libraries for dconf development
Requires: %{name} = %{version}-%{release}

%description devel
This package contains files needed for doing software development using dconf.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_sysconfdir}/dconf/profile

cat << EOF > %{buildroot}%{_sysconfdir}/dconf/profile/user
user-db:user
system-db:local
system-db:site
system-db:distro
EOF

mkdir -p %{buildroot}%{_sysconfdir}/dconf/db/local.d/locks
mkdir -p %{buildroot}%{_sysconfdir}/dconf/db/site.d/locks
mkdir -p %{buildroot}%{_sysconfdir}/dconf/db/distro.d/locks

%posttrans
%{_bindir}/dconf update

%post
%systemd_user_post dconf.service

%preun
%systemd_user_preun dconf.service

%postun
%systemd_user_postun_with_restart dconf.service

%files
%license COPYING
%dir %{_sysconfdir}/dconf
%dir %{_sysconfdir}/dconf/db
%dir %{_sysconfdir}/dconf/db/local.d
%dir %{_sysconfdir}/dconf/db/local.d/locks
%dir %{_sysconfdir}/dconf/db/site.d
%dir %{_sysconfdir}/dconf/db/site.d/locks
%dir %{_sysconfdir}/dconf/db/distro.d
%dir %{_sysconfdir}/dconf/db/distro.d/locks
%dir %{_sysconfdir}/dconf/profile
%config(noreplace) %{_sysconfdir}/dconf/profile/user
%{_bindir}/dconf
%{_libdir}/libdconf.so.1*
%{_libdir}/gio/modules/libdconfsettings.so
%{_libexecdir}/dconf-service
%{_datadir}/bash-completion/completions/dconf
%{_datadir}/dbus-1/services/ca.desrt.dconf.service
%{_userunitdir}/dconf.service
%{_mandir}/man1/dconf-service.1*
%{_mandir}/man1/dconf.1*
%{_mandir}/man7/dconf.7*

%files devel
%{_includedir}/dconf
%{_libdir}/libdconf.so
%{_libdir}/pkgconfig/dconf.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/dconf
%{_datadir}/vala

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.40.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 0.40.0-1
- package init.
